Resource Packs
curl --request GET \
--url https://servers.flashrdp.com/api/resourcePack \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://servers.flashrdp.com/api/resourcePack"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://servers.flashrdp.com/api/resourcePack', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 3,
"name": "Demo Self Service Profile Group",
"label": null,
"limits": {
"totalServers": 10,
"totalMemory": 8192,
"totalStorage": 60,
"totalCpu": 8,
"totalTraffic": 5,
"maxMemory": 10000,
"maxStorage": 10000,
"maxCpu": 100,
"maxTraffic": 10000
},
"usage": {
"servers": {
"total": 10,
"used": 4,
"available": 6,
"percentUsed": 40
},
"memory": {
"total": 8192,
"used": 6144,
"available": 2048,
"percentUsed": 75
},
"storage": {
"total": 60,
"used": 52,
"available": 8,
"percentUsed": 86.66666666666667
},
"cpu": {
"total": 8,
"used": 8,
"available": 0,
"percentUsed": 100
},
"traffic": {
"total": 5,
"used": 600,
"available": 0,
"percentUsed": 12000
},
"trafficMonth": {
"primary": {
"start": "2025-12-27T00:00:00.000000Z",
"end": "2026-01-26T23:59:59.999999Z",
"max": 5368709120,
"received": 285341435,
"transmitted": 7062780,
"total": 292404215,
"percentUsed": 5.45,
"available": 5076304905
}
}
}
},
{
"id": 4,
"name": "Simple",
"label": "Resource Pack Simple",
"limits": {
"totalServers": 10,
"totalMemory": 8192,
"totalStorage": 60,
"totalCpu": 8,
"totalTraffic": 5000,
"maxMemory": null,
"maxStorage": null,
"maxCpu": null,
"maxTraffic": null
},
"usage": {
"servers": {
"total": 10,
"used": 0,
"available": 10,
"percentUsed": 0
},
"memory": {
"total": 8192,
"used": 0,
"available": 8192,
"percentUsed": 0
},
"storage": {
"total": 60,
"used": 0,
"available": 60,
"percentUsed": 0
},
"cpu": {
"total": 8,
"used": 0,
"available": 8,
"percentUsed": 0
},
"traffic": {
"total": 5000,
"used": 0,
"available": 5000,
"percentUsed": 0
},
"trafficMonth": {
"primary": {
"start": "2026-01-02T00:00:00.000000Z",
"end": "2026-02-01T23:59:59.999999Z",
"max": 5368709120000,
"received": 0,
"transmitted": 0,
"total": 0,
"percentUsed": 0,
"available": 0
}
}
}
}
]
}This response has no body data.{
"errors": [
"This is an error returned from the API",
"This is another error return from the API"
]
}This response has no body data.Resource Packs
Retrieve a non-paginated list of resource packs and thier usage.
GET
/
resourcePack
Resource Packs
Last modified on June 20, 2026
⌘I